WCSF Version for VS2008, Fx 3.0 SP1

Topics: Web Client Software Factory, User Forum
Sep 3, 2008 at 7:03 PM
Hi,

Could any one please guide me which version of WCSF should i use for Visual Studio 2008 with dotNetFramework 3.0 SP1. I tried using WCSF June 2007 with Guidance July 2007, doesn't work, tried WCSF June 2007 with Guidance Feb 2008, doesn't work.

WCSF Feb 2008 is for dotNetFramework 3.5, so can't use it.

Any suggestion will be highly appreciated.

Thanks.
Sep 3, 2008 at 7:23 PM
I have a WCSF Feb 2008 application running on .NET Framework 2.0 because the company is using Windows 2000 server. It is running very well.

Chester
Sep 3, 2008 at 8:06 PM
So you have Visual Studio 2008 with .Net Framework 2.0, or you also have .Net Framework 3.5 on the box. My concern is, in System Requirements for WCSF Feb 2008 it says .Net Framework 3.5
Sep 3, 2008 at 8:23 PM
Edited Sep 3, 2008 at 9:04 PM
This is the landing page and there is a compiled version for .NET 2.0.

http://msdn.microsoft.com/en-us/library/bb264518.aspx

Basically if you have Windows 2003 or up server, use .NET 3.5 version. If Windows 2000 server, .NET 2.0 version

VS2008 can target .NET Framework 2.0 solutions.

Chester